Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.generator
Class BasicSqlGenerator

    java.lang.Object
      sharin.sql.generator.BasicSqlGenerator

All Implemented Interfaces:
  SqlGenerator

    public class BasicSqlGenerator

extends Object
implements SqlGenerator

Constructor Summary
`BasicSqlGenerator(EntityInfo entityInfo)`
`BasicSqlGenerator(EntityInfo entityInfo, Map<String,JoinInfo> joinInfoMap)`

Method Summary
`Sql` | `countAll()`
`Sql` | `countByExample(Object example)`
`Sql` | `countByExamples(Object... examples)`
`Sql` | `deleteAll()`
`Sql` | `deleteByExample(Object example)`
`Sql` | `deleteByExamples(Object... examples)`
`Sql` | `deleteById(Object id)`
`Sql` | `deleteByIds(Object... ids)`
`Sql` | `insert(String propExpr, Object entity)`
`Sql` | `selectAll(String propExpr, String orderExpr)`
`Sql` | `selectByExample(String propExpr, String orderExpr, Object example)`
`Sql` | `selectByExamples(String propExpr, String orderExpr, Object... examples)`
`Sql` | `selectById(String propExpr, Object id)`
`Sql` | `selectByIds(String propExpr, String orderExpr, Object... ids)`
`Sql` | `updateAll(String propExpr, Object entity)`
`Sql` | `updateByExample(String propExpr, Object entity, Object example)`
`Sql` | `updateByExamples(String propExpr, Object entity, Object... examples)`
`Sql` | `updateById(String propExpr, Object entity, Object id)`
`Sql` | `updateByIds(String propExpr, Object entity, Object... ids)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSqlGenerator

    public BasicSqlGenerator(EntityInfo entityInfo)

### BasicSqlGenerator

    public BasicSqlGenerator(EntityInfo entityInfo,
                             Map<String,JoinInfo> joinInfoMap)

Method Detail

### countAll

    public Sql countAll()

  Specified by:
    `countAll` in interface `SqlGenerator`

### countByExample

    public Sql countByExample(Object example)

  Specified by:
    `countByExample` in interface `SqlGenerator`

### countByExamples

    public Sql countByExamples(Object... examples)

  Specified by:
    `countByExamples` in interface `SqlGenerator`

### selectAll

    public Sql selectAll(String propExpr,
                         String orderExpr)

  Specified by:
    `selectAll` in interface `SqlGenerator`

### selectByExample

    public Sql selectByExample(String propExpr,
                               String orderExpr,
                               Object example)

  Specified by:
    `selectByExample` in interface `SqlGenerator`

### selectByExamples

    public Sql selectByExamples(String propExpr,
                                String orderExpr,
                                Object... examples)

  Specified by:
    `selectByExamples` in interface `SqlGenerator`

### selectById

    public Sql selectById(String propExpr,
                          Object id)

  Specified by:
    `selectById` in interface `SqlGenerator`

### selectByIds

    public Sql selectByIds(String propExpr,
                           String orderExpr,
                           Object... ids)

  Specified by:
    `selectByIds` in interface `SqlGenerator`

### insert

    public Sql insert(String propExpr,
                      Object entity)

  Specified by:
    `insert` in interface `SqlGenerator`

### updateAll

    public Sql updateAll(String propExpr,
                         Object entity)

  Specified by:
    `updateAll` in interface `SqlGenerator`

### updateByExample

    public Sql updateByExample(String propExpr,
                               Object entity,
                               Object example)

  Specified by:
    `updateByExample` in interface `SqlGenerator`

### updateByExamples

    public Sql updateByExamples(String propExpr,
                                Object entity,
                                Object... examples)

  Specified by:
    `updateByExamples` in interface `SqlGenerator`

### updateById

    public Sql updateById(String propExpr,
                          Object entity,
                          Object id)

  Specified by:
    `updateById` in interface `SqlGenerator`

### updateByIds

    public Sql updateByIds(String propExpr,
                           Object entity,
                           Object... ids)

  Specified by:
    `updateByIds` in interface `SqlGenerator`

### deleteAll

    public Sql deleteAll()

  Specified by:
    `deleteAll` in interface `SqlGenerator`

### deleteByExample

    public Sql deleteByExample(Object example)

  Specified by:
    `deleteByExample` in interface `SqlGenerator`

### deleteByExamples

    public Sql deleteByExamples(Object... examples)

  Specified by:
    `deleteByExamples` in interface `SqlGenerator`

### deleteById

    public Sql deleteById(Object id)

  Specified by:
    `deleteById` in interface `SqlGenerator`

### deleteByIds

    public Sql deleteByIds(Object... ids)

  Specified by:
    `deleteByIds` in interface `SqlGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.